"use strict";
const common_vendor = require("../../common/vendor.js");
const sheep_index = require("../../sheep/index.js");
const sheep_platform_share = require("../../sheep/platform/share.js");
require("../../sheep/api/index.js");
require("../../sheep/api/distri/score.js");
require("../../sheep/request/index.js");
require("../../sheep/config/index.js");
require("../../sheep/store/index.js");
require("../../sheep/store/app.js");
require("../../sheep/api/promotion/diy.js");
require("../../sheep/platform/index.js");
require("../../sheep/platform/provider/wechat/index.js");
require("../../sheep/platform/provider/wechat/miniProgram.js");
require("../../sheep/api/member/auth.js");
require("../../sheep/api/member/social.js");
require("../../sheep/api/member/user.js");
require("../../sheep/platform/provider/apple/index.js");
require("../../sheep/platform/pay.js");
require("../../sheep/helper/index.js");
require("../../sheep/helper/test.js");
require("../../sheep/helper/digit.js");
require("../../sheep/api/pay/order.js");
require("../../sheep/router/index.js");
require("../../sheep/hooks/useModal.js");
require("../../sheep/api/member/signin.js");
require("../../sheep/helper/throttle.js");
require("../../sheep/store/user.js");
require("../../sheep/store/cart.js");
require("../../sheep/api/trade/cart.js");
require("../../sheep/api/pay/wallet.js");
require("../../sheep/api/trade/order.js");
require("../../sheep/api/promotion/coupon.js");
require("../../sheep/store/sys.js");
require("../../sheep/store/modal.js");
require("../../sheep/api/distri/share.js");
require("../../sheep/api/distri/team.js");
require("../../sheep/api/infra/file.js");
require("../../sheep/api/member/address.js");
require("../../sheep/api/member/point.js");
require("../../sheep/api/migration/app.js");
require("../../sheep/api/migration/chat.js");
require("../../sheep/api/migration/index.js");
require("../../sheep/api/migration/third.js");
require("../../sheep/api/pay/channel.js");
require("../../sheep/api/product/category.js");
require("../../sheep/api/product/comment.js");
require("../../sheep/api/product/favorite.js");
require("../../sheep/api/product/history.js");
require("../../sheep/api/product/spu.js");
require("../../sheep/api/promotion/activity.js");
require("../../sheep/api/promotion/article.js");
require("../../sheep/api/promotion/bargain.js");
require("../../sheep/api/promotion/combination.js");
require("../../sheep/api/promotion/rewardActivity.js");
require("../../sheep/api/promotion/seckill.js");
require("../../sheep/api/system/area.js");
require("../../sheep/api/system/voice.js");
require("../../sheep/api/trade/afterSale.js");
require("../../sheep/api/trade/brokerage.js");
require("../../sheep/api/trade/config.js");
require("../../sheep/api/trade/delivery.js");
require("../../sheep/url/index.js");
require("../../sheep/config/zIndex.js");
if (!Array) {
  const _easycom_s_block_item2 = common_vendor.resolveComponent("s-block-item");
  const _easycom_s_block2 = common_vendor.resolveComponent("s-block");
  const _easycom_s_layout2 = common_vendor.resolveComponent("s-layout");
  (_easycom_s_block_item2 + _easycom_s_block2 + _easycom_s_layout2)();
}
const _easycom_s_block_item = () => "../../sheep/components/s-block-item/s-block-item.js";
const _easycom_s_block = () => "../../sheep/components/s-block/s-block.js";
const _easycom_s_layout = () => "../../sheep/components/s-layout/s-layout.js";
if (!Math) {
  (_easycom_s_block_item + _easycom_s_block + _easycom_s_layout)();
}
const _sfc_main = {
  __name: "index",
  setup(__props) {
    common_vendor.index.hideTabBar();
    const template = {
      "page": {
        "description": "",
        "backgroundColor": "#f5f5f5",
        "backgroundImage": ""
      },
      "navigationBar": {
        "title": "页面标题",
        "description": "",
        "navBarHeight": 35,
        "backgroundColor": "#fff",
        "backgroundImage": "",
        "styleType": "default",
        "alwaysShow": true,
        "showGoBack": true
      },
      "components": [{
        "id": "SearchBar",
        "property": {
          "height": 28,
          "showScan": false,
          "borderRadius": 0,
          "placeholder": "搜索商品",
          "placeholderPosition": "left",
          "backgroundColor": "rgb(238, 238, 238)",
          "textColor": "rgb(150, 151, 153)",
          "hotKeywords": [],
          "style": {
            "bgType": "color",
            "bgColor": "#fff",
            "marginBottom": 8,
            "paddingTop": 8,
            "paddingRight": 8,
            "paddingBottom": 8,
            "paddingLeft": 8
          }
        }
      }, {
        "id": "UserCard",
        "property": {
          "style": {
            "bgType": "color",
            "bgColor": "",
            "marginBottom": 8
          }
        }
      }]
    };
    common_vendor.onLoad((options) => {
      if (options.scene) {
        const sceneParams = decodeURIComponent(options.scene).split("=");
        options[sceneParams[0]] = sceneParams[1];
      }
      if (options.templateId) {
        sheep_index.sheep.$store("app").init(options.templateId);
      }
      if (options.spm) {
        sheep_platform_share.$share.decryptSpm(options.spm);
      }
      if (options.page) {
        sheep_index.sheep.$router.go(decodeURIComponent(options.page));
      }
    });
    common_vendor.onPageScroll(() => {
    });
    return (_ctx, _cache) => {
      var _a;
      return common_vendor.e({
        a: template
      }, template ? {
        b: common_vendor.f(template.components, (item, index, i0) => {
          return {
            a: "b27be8ce-2-" + i0 + "," + ("b27be8ce-1-" + i0),
            b: common_vendor.p({
              type: item.id,
              data: item.property,
              styles: item.property.style
            }),
            c: index,
            d: "b27be8ce-1-" + i0 + ",b27be8ce-0",
            e: common_vendor.p({
              styles: item.property.style
            })
          };
        }),
        c: common_vendor.p({
          title: "xxx店",
          navbar: "normal",
          tabbar: "/pages/index/index",
          bgStyle: template.page,
          navbarStyle: (_a = template.style) == null ? void 0 : _a.navbar,
          onShareAppMessage: true
        })
      } : {});
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/zx/mall-front-app/pages/shop/index.vue"]]);
_sfc_main.__runtimeHooks = 3;
wx.createPage(MiniProgramPage);
